折雨的天空

新浪微薄腾讯微薄

最新碎语:最近霉到了住。哎。。。

您的位置:折雨的天空 >php开发> 换了一个空间,升级了PHP到PHP8.0,调整了一下emlog5.3的版本,支持PHP8.0

换了一个空间,升级了PHP到PHP8.0,调整了一下emlog5.3的版本,支持PHP8.0

原来VPS快要到期了,续费太贵,重新买了一个便宜一点的。

重新安装了环境,PHP环境升级到8.0了,由于emlog5.3系列已经不更新了

我这个博客也有些年了,也不想去折腾换新版,或者迁移其他博客程序,就根据报错稍微调整了一下。

升级环境后,原来有些插件可能不可用了。经测试,本站发布的支付插件,还可以继续使用。

升级PHP版本后,后台用户密码认证有点问题,需要修改数据表*user中的密码为初始密码:

$2y$10$2w1GMPpv3580vccsMYHw4eCcYYfyzQAYRBpUxSIlfW6sDZvexazIi

初始密码:123456


修改了以后,登录进后台,再通过界面修改一次自己的密码就好了。


压缩包的话,下载下来覆盖一下文件即可。


主要不兼容的地方,就是__autoload的方法,还有就是默认使用的mysql不是mysqli。

其他倒是没什么。


压缩包:

emlog5.3兼容php8.0.rar

------------正 文 已 结 束, 感 谢 您 的 阅 读 (折雨的天空)--------------------

转载请注明本文标题和链接:《换了一个空间,升级了PHP到PHP8.0,调整了一下emlog5.3的版本,支持PHP8.0

奖励一下

取消

您的认可,是我写博客的动力,谢谢您!

扫码支持
扫码打赏,你说多少就多少

打开支付宝扫一扫,即可进行扫码打赏哦

发表评论

路人甲 表情
看不清楚?点图切换